%define upstream_name    MooX-Options
%define upstream_version 3.88

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Role that is apply to your object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Record)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.380.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.91.0
BuildRequires: perl(JSON)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Load::Conditional) >= 0.540.0
BuildRequires: perl(Module::Metadata) >= 1.0.11
BuildRequires: perl(Moo) >= 1.0.3
BuildRequires: perl(MooX::ConfigFromFile)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Role::Tiny::With)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Use Getopt::Long::Descritive to provide command line option for your
Mo/Moo/Moose Object.

This module will add "option" which act as "has" but support additional
feature for getopt.

You will have "new_with_options" to instanciate new object for command
line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.880.0-2.mga4
+ Revision: 542212
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 3.880.0-1.mga4
+ Revision: 497104
- update to 3.88

* Sat Sep 28 2013 sander85 <sander85> 3.860.0-1.mga4
+ Revision: 488413
- update to 3.86

* Thu Sep 26 2013 sander85 <sander85> 3.850.0-1.mga4
+ Revision: 487155
- update to 3.85

* Fri Sep 13 2013 sander85 <sander85> 3.840.0-1.mga4
+ Revision: 478460
- update to 3.84

* Mon Jun 10 2013 jquelin <jquelin> 3.830.0-1.mga4
+ Revision: 441671
- update to 3.83

* Thu Mar 28 2013 jquelin <jquelin> 3.770.0-1.mga3
+ Revision: 406025
- add missing buildrequires & %%description
- imported package perl-MooX-Options


* Thu Mar 28 2013 cpan2dist 3.77-1mga
- initial mageia release, generated with cpan2dist
